# Get Customer Data

Retrieve customer details for the customer given by the customer ID.

Endpoint: GET /api/v1/customers/{customer_id}/
Version: Version: 8adbbb13
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Path parameters:

  - `customer_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `address` (object, required)

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (any)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `email` (string, required)

  - `phone_number` (string, required)

  - `account_status` (string, required)
    Enum: "OPEN", "CLOSED", "FROZEN", "PENDING"

  - `type` (string, required)

  - `name` (string, required)

  - `identification_number` (object, required)

  - `identification_number.identification_number` (string, required)

  - `identification_number.issuing_country` (any)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `identification_number.type` (string, required)
    Enum: "TIN", "EIN", "NON_US_BUSINESS_ID"

  - `date_of_birth` (string, required)

  - `trusted_contact` (any)

  - `trusted_contact.first_name` (any)

  - `trusted_contact.last_name` (any)

  - `trusted_contact.email` (any)

  - `trusted_contact.phone_number` (any)
    An E.164-formatted phone number, e.g. +12345678901

  - `trusted_contact.address` (any)
    The address of the trusted contact. You can use a format such as `{street name}, {city}, {state}, {post code}, {country}`

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

